<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<title>Sidebar</title>
	</head>
	<body>
		<aside
			id="app-side-left"
			class="fixed xl:sticky xl:shrink-0 top-0 xl:top-24 left-0 z-40 xl:z-0 w-72 h-screen xl:h-[calc(100vh-140px)] transition-transform -translate-x-full xl:translate-x-0"
			aria-label="Sidebar"
			th:fragment="sidebar"
		>
			<div
				class="overflow-y-auto py-5 px-3 h-full bg-white xl:bg-transparent dark:bg-gray-900 xl:dark:bg-transparent"
			>
				<ul class="space-y-2">
					<li>
						<a
							th:href="@{'/dashboard/admin'}"
							th:attrappend="data-link=${linkActive == 'dashboard'}? 'active'"
							class="flex items-center p-2 text-base font-normal rounded-lg text-gray-900 dark:text-white data-[link=active]:text-white dark:data-[link=active]:text-white data-[link=active]:bg-blue-600 hover:text-white hover:bg-blue-600 group"
						>
							<svg
								class="w-6 h-6 transition duration-75 text-gray-400 group-hover:text-white group-data-[link=active]:text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M10 6.025A7.5 7.5 0 1 0 17.975 14H10V6.025Z"
								/>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M13.5 3c-.169 0-.334.014-.5.025V11h7.975c.011-.166.025-.331.025-.5A7.5 7.5 0 0 0 13.5 3Z"
								/>
							</svg>

							<span class="ml-3">Dashboard</span>
						</a>
					</li>
					<li>
						<a
							th:href="@{'/student'}"
							th:attrappend="data-link=${linkActive == 'student'}? 'active'"
							class="flex items-center p-2 text-base font-normal rounded-lg text-gray-900 dark:text-white data-[link=active]:text-white dark:data-[link=active]:text-white data-[link=active]:bg-blue-600 hover:text-white hover:bg-blue-600 group"
						>
							<svg
								class="w-6 h-6 transition duration-75 text-gray-400 group-hover:text-white group-data-[link=active]:text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-width="2"
									d="M4.5 17H4a1 1 0 0 1-1-1 3 3 0 0 1 3-3h1m0-3.05A2.5 2.5 0 1 1 9 5.5M19.5 17h.5a1 1 0 0 0 1-1 3 3 0 0 0-3-3h-1m0-3.05a2.5 2.5 0 1 0-2-4.45m.5 13.5h-7a1 1 0 0 1-1-1 3 3 0 0 1 3-3h3a3 3 0 0 1 3 3 1 1 0 0 1-1 1Zm-1-9.5a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0Z"
								/>
							</svg>

							<span class="ml-3">Student</span>
						</a>
					</li>
					<li>
						<a
							th:href="@{'/lecturer'}"
							th:attrappend="data-link=${linkActive == 'lecturer'}? 'active'"
							class="flex items-center p-2 text-base font-normal rounded-lg text-gray-900 dark:text-white data-[link=active]:text-white dark:data-[link=active]:text-white data-[link=active]:bg-blue-600 hover:text-white hover:bg-blue-600 group"
						>
							<svg
								class="w-6 h-6 transition duration-75 text-gray-400 group-hover:text-white group-data-[link=active]:text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-width="2"
									d="M7 17v1a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1v-1a3 3 0 0 0-3-3h-4a3 3 0 0 0-3 3Zm8-9a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
								/>
							</svg>
							<span class="ml-3">Dosen</span>
						</a>
					</li>
					<li>
						<a
							th:href="@{'/staff'}"
							th:attrappend="data-link=${linkActive == 'staff'}? 'active'"
							class="flex items-center p-2 text-base font-normal rounded-lg text-gray-900 dark:text-white data-[link=active]:text-white dark:data-[link=active]:text-white data-[link=active]:bg-blue-600 hover:text-white hover:bg-blue-600 group"
						>
							<svg
								class="w-6 h-6 transition duration-75 text-gray-400 group-hover:text-white group-data-[link=active]:text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-width="2"
									d="M16 19h4a1 1 0 0 0 1-1v-1a3 3 0 0 0-3-3h-2m-2.236-4a3 3 0 1 0 0-4M3 18v-1a3 3 0 0 1 3-3h4a3 3 0 0 1 3 3v1a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1Zm8-10a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
								/>
							</svg>

							<span class="ml-3">Staff</span>
						</a>
					</li>
					<li>
						<a
							th:href="@{'/employee'}"
							th:attrappend="data-link=${linkActive == 'employee'}? 'active'"
							class="flex items-center p-2 text-base font-normal rounded-lg text-gray-900 dark:text-white data-[link=active]:text-white dark:data-[link=active]:text-white data-[link=active]:bg-blue-600 hover:text-white hover:bg-blue-600 group"
						>
							<svg
								class="w-6 h-6 transition duration-75 text-gray-400 group-hover:text-white group-data-[link=active]:text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-width="2"
									d="M4.5 17H4a1 1 0 0 1-1-1 3 3 0 0 1 3-3h1m0-3.05A2.5 2.5 0 1 1 9 5.5M19.5 17h.5a1 1 0 0 0 1-1 3 3 0 0 0-3-3h-1m0-3.05a2.5 2.5 0 1 0-2-4.45m.5 13.5h-7a1 1 0 0 1-1-1 3 3 0 0 1 3-3h3a3 3 0 0 1 3 3 1 1 0 0 1-1 1Zm-1-9.5a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0Z"
								/>
							</svg>

							<span class="ml-3">Karyawan</span>
						</a>
					</li>
					<li>
						<button
							type="button"
							class="flex items-center p-2 w-full text-base font-normal rounded-lg transition duration-75 text-gray-900 dark:text-white hover:text-white hover:bg-blue-600 active:bg-blue-600 group"
							aria-controls="dropdown-settings"
							data-collapse-toggle="dropdown-settings"
							th:attrappend="aria-expanded=${dropdownActive == 'dropdown-settings'}? 'true'"
						>
							<svg
								xmlns="http://www.w3.org/2000/svg"
								fill="none"
								viewBox="0 0 24 24"
								stroke-width="1.5"
								stroke="currentColor"
								class="flex-shrink-0 w-6 h-6 transition duration-75 text-gray-400 group-hover:text-white"
							>
								<path
									stroke-linecap="round"
									stroke-linejoin="round"
									d="M10.343 3.94c.09-.542.56-.94 1.11-.94h1.093c.55 0 1.02.398 1.11.94l.149.894c.07.424.384.764.78.93.398.164.855.142 1.205-.108l.737-.527a1.125 1.125 0 0 1 1.45.12l.773.774c.39.389.44 1.002.12 1.45l-.527.737c-.25.35-.272.806-.107 1.204.165.397.505.71.93.78l.893.15c.543.09.94.559.94 1.109v1.094c0 .55-.397 1.02-.94 1.11l-.894.149c-.424.07-.764.383-.929.78-.165.398-.143.854.107 1.204l.527.738c.32.447.269 1.06-.12 1.45l-.774.773a1.125 1.125 0 0 1-1.449.12l-.738-.527c-.35-.25-.806-.272-1.203-.107-.398.165-.71.505-.781.929l-.149.894c-.09.542-.56.94-1.11.94h-1.094c-.55 0-1.019-.398-1.11-.94l-.148-.894c-.071-.424-.384-.764-.781-.93-.398-.164-.854-.142-1.204.108l-.738.527c-.447.32-1.06.269-1.45-.12l-.773-.774a1.125 1.125 0 0 1-.12-1.45l.527-.737c.25-.35.272-.806.108-1.204-.165-.397-.506-.71-.93-.78l-.894-.15c-.542-.09-.94-.56-.94-1.109v-1.094c0-.55.398-1.02.94-1.11l.894-.149c.424-.07.765-.383.93-.78.165-.398.143-.854-.108-1.204l-.526-.738a1.125 1.125 0 0 1 .12-1.45l.773-.773a1.125 1.125 0 0 1 1.45-.12l.737.527c.35.25.807.272 1.204.107.397-.165.71-.505.78-.929l.15-.894Z"
								/>
								<path
									stroke-linecap="round"
									stroke-linejoin="round"
									d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
								/>
							</svg>

							<span class="flex-1 ml-3 text-left whitespace-nowrap"
								>Pengaturan</span
							>
							<svg
								aria-hidden="true"
								class="w-6 h-6 group-aria-expanded:rotate-180 transition-transform"
								fill="currentColor"
								viewBox="0 0 20 20"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									fill-rule="evenodd"
									d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
									clip-rule="evenodd"
								></path>
							</svg>
						</button>
						<ul
							id="dropdown-settings"
							th:class="${dropdownActive == 'dropdown-settings'} ? 'ml-5' : 'hidden ml-5'"
						>
							<li>
								<a
									th:href="@{'/setting/foundation'}"
									th:attrappend="data-link=${linkActive == 'foundation'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Yayasan</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/institution'}"
									th:attrappend="data-link=${linkActive == 'institution'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Institusi</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/campus'}"
									th:attrappend="data-link=${linkActive == 'campus'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Kampus</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/building'}"
									th:attrappend="data-link=${linkActive == 'building'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Gedung</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/role'}"
									th:attrappend="data-link=${linkActive == 'role'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Peran</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/department'}"
									th:attrappend="data-link=${linkActive == 'department'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Departemen</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/job-position'}"
									th:attrappend="data-link=${linkActive == 'job-position'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Jabatan</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/faculty'}"
									th:attrappend="data-link=${linkActive == 'faculty'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Fakultas</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/academic-period'}"
									th:attrappend="data-link=${linkActive == 'academic-period'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Periode Akademik</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/subject'}"
									th:attrappend="data-link=${linkActive == 'subject'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Matakuliah</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/curriculum'}"
									th:attrappend="data-link=${linkActive == 'curriculum'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Kurikulum</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/class'}"
									th:attrappend="data-link=${linkActive == 'class'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Kelas</a
								>
							</li>
							<li>
								<a
									th:href="@{'/setting/plotting'}"
									th:attrappend="data-link=${linkActive == 'plotting'}? 'active'"
									class="flex items-center p-1 pl-6 -ml-px w-full text-base font-normal transition duration-75 border-l border-gray-300 dark:border-gray-700 hover:border-blue-600 dark:hover:border-blue-600 data-[link=active]:border-blue-600 dark:data-[link=active]:border-blue-600 text-gray-600 dark:text-gray-400 data-[link=active]:text-blue-600 dark:data-[link=active]:text-blue-600 data-[link=active]:bg-gradient-to-r data-[link=active]:from-blue-100 data-[link=active]:to-blue-50/0 dark:data-[link=active]:bg-gradient-to-r dark:data-[link=active]:from-blue-950 dark:data-[link=active]:to-blue-950/0 hover:text-blue-600 dark:hover:text-blue-600"
									>Plotting</a
								>
							</li>
						</ul>
					</li>
				</ul>
			</div>
		</aside>
	</body>
</html>
